<div
	id="minicart"
	data-section-id="{{- section.id -}}"
	data-section-type="minicart"
></div>

<script id="minicart-customizer-data" type="application/json">
	{
		"customizer": {
			"empty_state": {
				"empty_button_text": {{ section.settings.empty_button_text | json }},
				"empty_button_link": {{ section.settings.empty_button_link | json }}
			}
		}
	}
</script>

{%- schema -%}
{
	"name": "Minicart",
	"settings": [
		{
			"type": "header",
			"content": "Empty minicart state"
		},
		{
			"type": "text",
			"id": "empty_button_text",
			"label": "Button text",
			"default": "Continue shopping"
		},
		{
			"type": "url",
			"id": "empty_button_link",
			"label": "Button link"
		}
	]
}
{%- endschema -%}
